import http from '../http'

export default {
  page: data =>
    http.post('/v1/equip_purchase_detail/page', data).then(res => res),
  getById: id => http.get('/v1/equip_purchase_detail/' + id).then(res => res),
  list: data =>
    http.post('/v1/equip_purchase_detail/list', data).then(res => res),
  edit: data =>
    http.put('/v1/equip_purchase?id=' + data.id, data.obj).then(res => res),
  deleteByIds: ids =>
    http.post('/v1/equip_purchase_detail/delete/?ids=' + ids).then(res => res),
  add: data => http.post('/v1/equip_purchase/', data).then(res => res)
}
